Closed Bug 1122926 Opened 5 years ago Closed 5 years ago

Remove unhelpful configure messages suggesting to use --disable-webgl; r=glandium

Categories

(Firefox Build System :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED
mozilla38

People

(Reporter: ehsan, Assigned: ehsan)

Details

Attachments

(1 file, 1 obsolete file)

--disable-webgl was removed in bug 1052518.
Attachment #8550732 - Flags: review?(mh+mozilla)
Comment on attachment 8550732 [details] [diff] [review]
Remove unhelpful configure messages suggesting to use --disable-webgl

Review of attachment 8550732 [details] [diff] [review]:
-----------------------------------------------------------------

Actually those messages are triply unhelpful:
- --disable-webgl is gone, as you mention
- the minimum Windows SDK version we require is 8.1, which already includes the DirectX SDK
- the minimum MSVC version we require is 2013, which comes with the Windows SDK 8.1

IOW, none of these error messages actually make sense anymore.
Attachment #8550732 - Flags: review?(mh+mozilla) → review-
What would you like me to replace them with?
Flags: needinfo?(mh+mozilla)
Remove them.
Flags: needinfo?(mh+mozilla)
--disable-webgl was removed in bug 1052518.
Attachment #8553509 - Flags: review?(mh+mozilla)
Attachment #8550732 - Attachment is obsolete: true
Comment on attachment 8553509 [details] [diff] [review]
Remove unhelpful configure messages suggesting to use --disable-webgl

Review of attachment 8553509 [details] [diff] [review]:
-----------------------------------------------------------------

Can you adjust the commit message to account for the direct X sdk message being removed?
Attachment #8553509 - Flags: review?(mh+mozilla) → review+
https://hg.mozilla.org/mozilla-central/rev/0db65ae029da
Assignee: nobody → ehsan
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla38
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.